Waiting for a new developer to take over this must-have extension Rated 5 out of 5 stars

Install this extension to allow MediaPlayerConnectivity to work with FF 7.0.1:
https://addons.mozilla.org/en-US/firefox/addon/add-on-compatibility-reporter/

Be sure and get MediaPlayerConnectivity v0.9.4 from the version history!

This review is for a previous version of the add-on (0.9.3).  This user has other reviews of this add-on.